王咣生 发表于 2004-11-12 22:21:00

回复

要在VC6.0下编译,在AutoCAD2000,2002下运行.


我没有装VC6.0,


编译成功未必能运行,没有AutoCAD2002(2000)怎么测试结果呢?

zcsoft 发表于 2004-11-13 10:17:00

我来帮你测试结果!

王咣生 发表于 2004-11-13 11:30:00

本帖最后由 作者 于 2004-11-13 14:52:25 编辑 <br /><br /> 王咣生发表于2004-11-12 12:13:00static/image/common/back.gif回复:(王咣生)回复为什么? 你自己为什么不编译? 还要我下载ObjectARX2000,再为你编译我提供给你的代码?



我这里没有AutoCAD2002.

<BR>我没有装VC6.0,



哪位大侠有时间帮zcsoft编译吧!


王咣生 发表于 2004-11-27 17:18:00

回复

创建文字样式的一段例子:


        static void setTextStyle_test(void)<BR>        {<BR>                // Add your code for command setTextStyle._test here<BR>                Acad::ErrorStatus es;<BR>                AcDbTextStyleTable *pTsTable;


                es = curDoc()-&gt;database()-&gt;getSymbolTable(pTsTable,AcDb::kForRead);<BR>                if (es != Acad::eOk)<BR>                {<BR>                        AfxMessageBox("Couldn't get the text style table.");<BR>                }


                CString theFont = "宋体";


                if (!pTsTable-&gt;has((LPTSTR)(LPCSTR)theFont))<BR>                {<BR>                        AcDbTextStyleTableRecord *pStyle = new AcDbTextStyleTableRecord;


                        pStyle-&gt;setFont((LPTSTR)(LPCTSTR)theFont,Adesk::kFalse,Adesk::kFalse,0,34);<BR>                        pStyle-&gt;setFileName(theFont);<BR>                        pStyle-&gt;setBigFontFileName(theFont);


                        pStyle-&gt;setTextSize(8);<BR>                        pStyle-&gt;setXScale(2);<BR>                        pStyle-&gt;setObliquingAngle(0);<BR>                        pStyle-&gt;setName(theFont);<BR>                        pStyle-&gt;setIsShapeFile(Adesk::kFalse);<BR>                        pStyle-&gt;setIsVertical(Adesk::kFalse);


                        pTsTable-&gt;upgradeOpen();<BR>                        es = pTsTable-&gt;add(pStyle);<BR>                        if (es != Acad::eOk)<BR>                        {<BR>                                CString message;<BR>                                message.Format("%d",es);<BR>                                AfxMessageBox(message);<BR>                        }<BR>                        pStyle-&gt;close();<BR>                }


                <BR>                // Get the style record we just created, to ensure that it was<BR>                // added properly to the style table.<BR>                AcDbObjectId styleId;


                es = pTsTable-&gt;getAt(theFont,styleId);<BR>                if (es != Acad::eOk)<BR>                {<BR>                        CString message;<BR>                        message.Format("%d",es);<BR>                        AfxMessageBox(message);<BR>                }<BR>                else<BR>                {<BR>                        AfxMessageBox("Got the style!");<BR>                }


                pTsTable-&gt;close();


                AcDbText * text = new AcDbText(AcGePoint3d(10,10,0),"你好",styleId,10,0);<BR>                AcDbBlockTable *pBlockTable;<BR>                acdbHostApplicationServices()-&gt;workingDatabase()-&gt;getSymbolTable(pBlockTable,AcDb::kForRead);<BR>                AcDbBlockTableRecord *pBlockTableRecord;<BR>                pBlockTable-&gt;getAt(ACDB_MODEL_SPACE,pBlockTableRecord,AcDb::kForWrite);<BR>                pBlockTable-&gt;close();<BR>                AcDbObjectId textId;<BR>                es = pBlockTableRecord-&gt;appendAcDbEntity(textId,text);<BR>                <BR>                text-&gt;close();<BR>                pBlockTableRecord-&gt;close();<BR>        }


        如图:

SWAYWOOD 发表于 2005-1-8 21:55:00

王斑竹,我原来用lisp现在想学ARX,本人严重支持你的论坛,希望能和你的论坛一起成长……

王咣生 发表于 2005-1-11 13:06:00

最近没有做论坛,


想交流就到这里吧:


<A href="http://www.mjtd.com/bbs" target="_blank" >www.mjtd.com/bbs</A>


<A href="http://www.cadhelp.net/bbs" target="_blank" >www.cadhelp.net/bbs</A>

王咣生 发表于 2005-1-20 17:50:00

TabbedViews管理Drawings文档

TabbedViews管理Drawings文档:


tapeworm 发表于 2005-1-24 18:05:00

大哥能给我一份吗?


beetle_928@eyou.com

comejava 发表于 2005-1-26 10:47:00

太可怕了,我要学习!!!!!!!!!!

王咣生 发表于 2005-1-27 17:47:00

回复

还没时间整理代码
页: 1 2 3 4 [5] 6 7 8 9 10 11 12 13 14
查看完整版本: ObjectARX工作日志